Package org.eclipse.mat.inspections

## Class CommonNameResolver.URLResolver

- java.lang.Object
- - org.eclipse.mat.inspections.CommonNameResolver.URLResolver

All Implemented Interfaces:
  `IClassSpecificNameResolver`

Enclosing class:
  CommonNameResolver

    public static class CommonNameResolver.URLResolver
    extends Object
    implements IClassSpecificNameResolver

### Constructor Summary

Constructors
`URLResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `resolve​(IObject obj)` Resolve the name for snapshot object.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### URLResolver

    public URLResolver()

### Method Detail

#### resolve

    public String resolve​(IObject obj)
                   throws SnapshotException

Description copied from interface: `IClassSpecificNameResolver`
Resolve the name for snapshot object.

Specified by:
  `resolve` in interface `IClassSpecificNameResolver`
Parameters:
  `obj` - object for which the name should be resolved
Returns:
  name for snapshot object
Throws:
  `SnapshotException`